From 4c49150a04765ba471eaadd94ddeda9842f8c677 Mon Sep 17 00:00:00 2001
From: Matthias van de Meent <boekewurm+postgres@gmail.com>
Date: Wed, 20 Mar 2024 15:20:38 +0100
Subject: [PATCH v1 2/5] Remove field ExecRowMark.ermActive

The field didn't have any reader in core code, and no other users showed up in GH
code search either.
---
 src/backend/executor/execMain.c     | 1 -
 src/backend/executor/nodeLockRows.c | 2 --
 src/include/nodes/execnodes.h       | 1 -
 3 files changed, 4 deletions(-)

diff --git a/src/backend/executor/execMain.c b/src/backend/executor/execMain.c
index 4d7c92d63c..8a74d00303 100644
--- a/src/backend/executor/execMain.c
+++ b/src/backend/executor/execMain.c
@@ -908,7 +908,6 @@ InitPlan(QueryDesc *queryDesc, int eflags)
 			erm->markType = rc->markType;
 			erm->strength = rc->strength;
 			erm->waitPolicy = rc->waitPolicy;
-			erm->ermActive = false;
 			ItemPointerSetInvalid(&(erm->curCtid));
 			erm->ermExtra = NULL;
 
diff --git a/src/backend/executor/nodeLockRows.c b/src/backend/executor/nodeLockRows.c
index 41754ddfea..7ffedafebb 100644
--- a/src/backend/executor/nodeLockRows.c
+++ b/src/backend/executor/nodeLockRows.c
@@ -106,12 +106,10 @@ lnext:
 			if (tableoid != erm->relid)
 			{
 				/* this child is inactive right now */
-				erm->ermActive = false;
 				ItemPointerSetInvalid(&(erm->curCtid));
 				continue;
 			}
 		}
-		erm->ermActive = true;
 
 		/* fetch the tuple's ctid */
 		datum = ExecGetJunkAttribute(slot,
diff --git a/src/include/nodes/execnodes.h b/src/include/nodes/execnodes.h
index 6365beb701..f8257b60c1 100644
--- a/src/include/nodes/execnodes.h
+++ b/src/include/nodes/execnodes.h
@@ -754,7 +754,6 @@ typedef struct ExecRowMark
 	RowMarkType markType;		/* see enum in nodes/plannodes.h */
 	LockClauseStrength strength;	/* LockingClause's strength, or LCS_NONE */
 	LockWaitPolicy waitPolicy;	/* NOWAIT and SKIP LOCKED */
-	bool		ermActive;		/* is this mark relevant for current tuple? */
 	ItemPointerData curCtid;	/* ctid of currently locked tuple, if any */
 	void	   *ermExtra;		/* available for use by relation source node */
 } ExecRowMark;
-- 
2.40.1

